package de.meinefirma.main;

import javax.xml.bind.JAXBException;
import org.xml.sax.SAXException;
import de.meinefirma.buecherentities.*;

public class BuecherMarshaller
{
   public static void main( String[] args ) throws JAXBException, SAXException
   {
      if( args.length != 2 ) {
         System.out.println( "\nBitte Buecher-XSD-Schema und Buecher-XML-Zieldateiname angeben." );
         return;
      }
      JaxbMarshalUnmarshalUtil.marshal( args[0], args[1], erzeugeBuecherObjekt() );
      System.out.println( "\n" + args[1] + " erzeugt." );
   }

   static Buecher erzeugeBuecherObjekt()
   {
      Buecher buecher = new Buecher();

      AutorType a = new AutorType();
      a.setId(   42 );
      a.setName( "Otto" );
      a.setOrt(  "Hamburg" );
      buecher.getAutor().add( a );

      VerlagType v = new VerlagType();
      v.setId(   4711 );
      v.setName( "Elefanten-Verlag" );
      v.setOrt(  "Berlin" );
      buecher.getVerlag().add( v );

      BuchType b = new BuchType();
      b.setAutorID(  a.getId() );
      b.setVerlagID( v.getId() );
      b.setTitel(    "Meine Elefanten" );
      buecher.getBuch().add( b );

      return buecher;
   }
}
