package de.meinefirma.main;

import javax.xml.bind.JAXBException;
import org.xml.sax.SAXException;
import de.meinefirma.buecherentities.*;

public class BuecherUnmarshaller
{
   public static void main( String[] args ) throws JAXBException, SAXException
   {
      if( args.length != 2 ) {
         System.out.println( "\nBitte Buecher-XSD-Schema und Buecher-XML-Dokument angeben, z.B.:\n" +
                             "java de.meinefirma.main.BuecherUnmarshaller Buecher.xsd Buecher.xml" );
         return;
      }
      Buecher buecher = JaxbMarshalUnmarshalUtil.unmarshal( args[0], args[1], Buecher.class );
      zeigeBuecher( buecher );
   }

   static void zeigeBuecher( Buecher buecher )
   {
      System.out.println( "Autoren:" );
      for( AutorType a : buecher.getAutor() ) {
         System.out.println( "  Id:   " + a.getId() );
         System.out.println( "  Name: " + a.getName() );
         System.out.println( "  Ort:  " + a.getOrt() );
      }
      System.out.println( "Verlage:" );
      for( VerlagType v : buecher.getVerlag() ) {
         System.out.println( "  Id:   " + v.getId() );
         System.out.println( "  Name: " + v.getName() );
         System.out.println( "  Ort:  " + v.getOrt() );
      }
      System.out.println( "Buecher:" );
      for( BuchType b : buecher.getBuch() ) {
         System.out.println( "  AutorID:  " + b.getAutorID() );
         System.out.println( "  VerlagID: " + b.getVerlagID() );
         System.out.println( "  Titel:    " + b.getTitel() );
      }
   }
}
